%{?!python3_pkgversion:%global python3_pkgversion 3}

%global module_name erfa
%global pypi_name pyerfa

Name:           python-pyerfa
Version:        1.7.0
Release:        1%{?dist}
Summary:        Python wrapper for the ERFA library
License:        BSD
URL:            https://github.com/liberfa/pyerfa
Source0:        %{pypi_source}

# Python BuildRequires
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-jinja2
BuildRequires:  python%{python3_pkgversion}-pytest-astropy
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools_scm
# Non-Python BuildRequires
BuildRequires:  erfa-devel
BuildRequires:  gcc

%{?python_enable_dependency_generator}

%description
PyERFA is the Python wrapper for the ERFA library (Essential Routines for
Fundamental Astronomy), a C library containing key algorithms for astronomy,
which is based on the SOFA library published by the International Astronomical
Union (IAU). All C routines are wrapped as Numpy universal functions, so that
they can be called with scalar or array inputs.


%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%if %{undefined python_enable_dependency_generator} && %{undefined python_disable_dependency_generator}
# Put manual requires here:
Requires:       python%{python3_pkgversion}-foo
%endif

%description -n python%{python3_pkgversion}-%{pypi_name}
PyERFA is the Python wrapper for the ERFA library (Essential Routines for
Fundamental Astronomy), a C library containing key algorithms for astronomy,
which is based on the SOFA library published by the International Astronomical
Union (IAU). All C routines are wrapped as Numpy universal functions, so that
they can be called with scalar or array inputs.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
# Build using system liberfa, not bundled one
PYERFA_USE_SYSTEM_LIBERFA=1 %py3_build


%install
%py3_install


%check
# use what your upstream is using
pushd %{buildroot}%{python3_sitearch}/%{module_name}
# Skip broken test, fixed with next release https://github.com/liberfa/pyerfa/issues/52
%{__python3} -m pytest -k "not test_version"
rm -rf .pytest_cache
popd


%files -n  python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.rst
%doc AUTHORS.rst CHANGES.rst README.rst
# For arch-specific packages: sitearch
%{python3_sitearch}/%{module_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Mon Nov 16 13:35:36 CET 2020 Christian Dersch <lupinix@fedoraproject.org> - 1.7.0-1
- initial package
